#ifndef __COLOR_H_
#define __COLOR_H_

typedef struct{
	unsigned char	r;
	unsigned char	g;
	unsigned char	b;
} Color;

/*------------------------------------------------

 use color chart below URL
 http://www.geocities.jp/net_t3/color/tone-v.html

--------------------------------------------------*/
Color color_chart[26] = {						// 24 color char + 2color(black, white)
				{  0,   0,   0},				//  0	black
				{212,   0,  69},				//  1
				{238,   0,  38},				//  2
				{253,  26,  28},				//  3
				{254,  65,  24},				//  4
				{254,  89,  11},				//  5
				{255, 127,   0},				//  6
				{255, 204,   0},				//  7
				{255, 230,   0},				//  8
				{204, 231,   0},				//  9
				{153, 207,  21},				// 10
				{102, 184,  43},				// 11
				{ 51, 162,  61},				// 12
				{  0, 143,  98},				// 13
				{  0, 134, 120},				// 14
				{  0, 122, 135},				// 15
				{  5,  93, 135},				// 16
				{  9,  63, 134},				// 17
				{ 15,  33, 139},				// 18
				{ 29,  26, 136},				// 19
				{ 40,  18, 133},				// 20
				{ 52,  12, 129},				// 21
				{ 86,   0, 125},				// 22
				{119,   0, 113},				// 23
				{175,   0, 101},				// 24
				{128, 128, 128}					// 25	white
			};
				
				
				

#endif	// __COLOR_H